Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.jca
Class JcaGatewayException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.jboss.soa.esb.listeners.jca.JcaGatewayException

All Implemented Interfaces:
  java.io.Serializable

    public class JcaGatewayException

extends java.lang.RuntimeException

Runtime exception for propagating exceptions.

Author:
  kevin
See Also:
  Serialized Form

Constructor Summary
`JcaGatewayException()` Construct a default exception.
`JcaGatewayException(java.lang.String message)` Construct an exception with the specified message.
`JcaGatewayException(java.lang.String message, java.lang.Throwable cause)` Construct an exception with the specified message and cause.
`JcaGatewayException(java.lang.Throwable cause)` Construct an exception with the specified cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JcaGatewayException

    public JcaGatewayException()

  Construct a default exception.

### JcaGatewayException

    public JcaGatewayException(java.lang.String message)

  Construct an exception with the specified message.

  Parameters:
    `message` - The message associated with this exception.

### JcaGatewayException

    public JcaGatewayException(java.lang.Throwable cause)

  Construct an exception with the specified cause.

  Parameters:
    `cause` - The cause associated with this exception.

### JcaGatewayException

    public JcaGatewayException(java.lang.String message,
                               java.lang.Throwable cause)

  Construct an exception with the specified message and cause.

  Parameters:
    `message` - The message associated with this exception.
    `cause` - The cause associated with this exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD